#ifndef __DISPLAYMESSAGE_H
#define __DISPLAYMESSAGE_H

#include <vdr/skins.h>
#include "scroll.h"
#include "setup.h"

class cMessageScrollText : public cThread {
private:
    virtual void Action(void);
    int pid;
public:
    cMessageScrollText(void);
    ~cMessageScrollText();
    bool noflush;
};

class cSkinElchiDisplayMessage : public cSkinDisplayMessage {
private:
    cOsd *osd;
    const cFont *font;
    int lh, lhh;
    bool noflush;
public:
    cSkinElchiDisplayMessage(void);
    virtual ~cSkinElchiDisplayMessage();
    virtual void SetMessage(eMessageType Type, const char *Text);
    virtual void Flush(void);
    cMessageScrollText *scrolltext;
    };

#endif //__DISPLAYMESSAGE_H
